/*****************************************************************************
 *
 * $Id: EmployeeIdIndex.java,v 1.3 1996/08/03 01:58:10 marsh Exp $
 *
 * $Source: /cvs/java/OrgChartServer/EmployeeIdIndex.java,v $
 *
 *****************************************************************************/

import COM.dtai.serial.*;
import orgdata.*;

public class EmployeeIdIndex extends SerialDataIndex
{
	protected int max_id = 0;

    public EmployeeIdIndex()
    {
		super(true);
    }

    protected Object key(SerialData sd)
	{
		return new Integer(((EmployeeData)sd).id);
	}

    protected SerialDataValue value()
	{
		return new SerialSingleValue();
	}

    public void insert(SerialData sd, long filepos)
	{
		super.insert(sd, filepos);
		int new_id = ((EmployeeData)sd).id;
		if (max_id < new_id) max_id = new_id;
	}
}
