/*****************************************************************************
 *
 * $Id: EmployeeManager.java,v 1.4 1996/08/06 01:55:36 marsh Exp $
 *
 * $Source: /cvs/java/OrgChartServer/EmployeeManager.java,v $
 *
 *****************************************************************************/

import java.io.*;
import java.util.*;
import COM.dtai.serial.*;
import orgdata.*;

public class EmployeeManager extends SerialDataManager
{
	protected EmployeeIdIndex eii;

    public EmployeeManager(String dir, boolean editable)
    {
		super(dir, "employees", editable);
    }

	protected SerialData newData()
	{
		return new EmployeeData();
	}

	protected void addIndexes()
	{
		sdf.addIndex(eii = new EmployeeIdIndex());
	}
}
