@echo off

rem - #####
rem - # Check and reset, if necessary, the following variables...

set ORG_CHART_DIR=c:\Netscape\Server\docs\OrgChart_DTAI
set JAVADIR=c:\java
set JAVACLASSES=%JAVADIR%\lib\classes.zip

rem - #####
rem - # Set any other required environment variables here.
rem - # For example, Cafe's java may require...
rem - # PATH=c:\Cafe\bin;c:\Cafe\java\bin;%PATH%

rem - #####
rem - # END OF USER-MODIFIABLE PARAMETERS

rem - # DO NOT MAKE CHANGES BELOW THIS LINE
rem - #################################################################

rem - # Copyright(c) 1996 DTAI, Incorporated (http://www.dtai.com)
rem - #
rem - #                        All rights reserved
rem - #
rem - # Permission to use, copy, modify and distribute this material for
rem - # any purpose and without fee is hereby granted, provided that the
rem - # above copyright notice and this permission notice appear in all
rem - # copies, and that the name of DTAI, Incorporated not be used in
rem - # advertising or publicity pertaining to this material without the
rem - # specific, prior written permission of an authorized representative of
rem - # DTAI, Incorporated.
rem - #
rem - # DTAI, INCORPORATED MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES,
rem - # EXPRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
rem - # NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
rem - # FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST
rem - # INFRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
rem - # SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL DTAI, INCORPORATED
rem - # OR ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
rem - # LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES RELATING
rem - # TO THE SOFTWARE.

set ERROR_LOG=%ORG_CHART_DIR%\error\OrgChartDbServer.err

set JAVABINDIR=%JAVADIR%\bin

set CLASSPATH=.;%JAVACLASSES%

cd %ORG_CHART_DIR%\java

rem - ######################################
rem - # Return the "No Response" status
rem - # code to the browser.  Can't do this
rem - # all with "echo" because it won't
rem - # do blank lines in NT 3.51
rem - ######################################

%JAVABINDIR%\java NoResponse

rem - ######################################
rem - # start the server
rem - ######################################

set NEWCOMMAND=..\user\spawn.exe -i ..\temp\dummyinput -o ..\log\OrgChartDbServer.log -e ..\error\OrgChartDbServer.err %JAVABINDIR%\java OrgChartDbServer
echo Starting server. > %ERROR_LOG%
echo off|more|date|find "c" >> %ERROR_LOG%
echo off|more|time|find "c" >> %ERROR_LOG%
echo Current directory is: >> %ERROR_LOG%
cd >> %ERROR_LOG%
echo CLASSPATH is set to: %CLASSPATH% >> %ERROR_LOG%
echo Command is: %NEWCOMMAND% >> %ERROR_LOG%

..\user\spawn.exe -i ..\temp\dummyinput -o ..\log\OrgChartDbServer.log -e ..\error\OrgChartDbServer.err %JAVABINDIR%\java OrgChartDbServer
