/*****************************************************************************
 *
 * $Id: OrgNodeManager.java,v 1.4 1996/08/06 01:55:38 marsh Exp $
 *
 * $Source: /cvs/java/OrgChartServer/OrgNodeManager.java,v $
 *
 *****************************************************************************/

import java.io.*;
import java.util.*;
import COM.dtai.serial.*;
import orgdata.*;

public class OrgNodeManager extends SerialDataManager
{
	protected NodeIdIndex nii;
	protected ParentIdIndex pii;
	protected SectionTitleIndex sti;

    public OrgNodeManager(String dir, boolean editable)
    {
		super(dir, "orgnodes", editable);
    }

	protected SerialData newData()
	{
		return new OrgNodeData();
	}

	protected void addIndexes()
	{
		sdf.addIndex(nii = new NodeIdIndex());
		sdf.addIndex(pii = new ParentIdIndex());
		sdf.addIndex(sti = new SectionTitleIndex());
	}
}
